summaryrefslogtreecommitdiff
path: root/meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2009-05-22 09:42:20 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2009-05-22 09:42:20 +0100
commite6a3149428ef2d42d9a9df78a19c2e52496f3deb (patch)
tree368294cd96f741990717234a6819cc60c1b413f6 /meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch
parentf887fcd665505453412a9f2e2508404e6ec4eea8 (diff)
downloadopenembedded-core-e6a3149428ef2d42d9a9df78a19c2e52496f3deb.tar.gz
openembedded-core-e6a3149428ef2d42d9a9df78a19c2e52496f3deb.tar.bz2
openembedded-core-e6a3149428ef2d42d9a9df78a19c2e52496f3deb.tar.xz
openembedded-core-e6a3149428ef2d42d9a9df78a19c2e52496f3deb.zip
gcc: Add 4.3.3 and switch to for Moblin
Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch')
-rw-r--r--meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch28
1 files changed, 28 insertions, 0 deletions
diff --git a/meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch b/meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch
new file mode 100644
index 000000000..fcd499115
--- /dev/null
+++ b/meta/packages/gcc/gcc-4.3.3/debian/gpc-4.1.dpatch
@@ -0,0 +1,28 @@
+#! /bin/sh -e
+
+# DP: GPC updates for GCC 4.1.2
+
+dir=gcc/
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3/gcc"
+ dir="$3/gcc/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p1 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p1 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+Not yet available for GCC-4.3